Bug 1890675 - MTC web console can NOT be accessed after deloying MTC on OCP-4.x cluster
Summary: MTC web console can NOT be accessed after deloying MTC on OCP-4.x cluster
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Migration Toolkit for Containers
Classification: Red Hat
Component: General
Version: 1.3.0
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 1.3.z
Assignee: John Matthews
QA Contact: Xin jiang
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-22 17:21 UTC by vaibhav
Modified: 2020-10-26 17:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 18:33:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5514491 0 None None None 2020-10-26 17:00:28 UTC

Comment 3 whu 2020-10-23 07:29:59 UTC
hi @vaibhav,

If you access the MTC web console in one browser for the first time, you will get below message due to MTC web UI is using a self-signed certificates. It works as design.

-------------------------------
Migration Toolkit for Containers Operator 1.3.0: A certificate error has occurred, likely due to the usage of self signed certificates in one of the clusters. Please try to visit the failed url and accept the CA: https://api.ocp-dev2.frbnpe.com:6443/.well-known/oauth-authorization-server
The correct way to address this is to install your self CA into your browser.
NOTE: The contents of the resulting page may report "unauthorized". This is expected. After accepting the certificate, please reload the app.
--------------------------------

what you should do is to click the link https://api.ocp-dev2.frbnpe.com:6443/.well-known/oauth-authorization-server to accept the self-signed certificates and access MTC web console again, then the UI should work.


But I am not sure about what you said "MTC UI is not working and showing error message as "The connection has timed out".   
could you give me the detailed steps about how you hit such "timed out" problem?  even include how long you have waited after accessing the MTC UI. millions of thanks.

Comment 4 vaibhav 2020-10-23 07:37:42 UTC
Hello whu,

I got the certificate warning and then I have accepeted the self-signed certificate from MTC web console, after that it was a blank page and then after few minutes I got the message of "timed out".

Comment 5 whu 2020-10-23 08:33:44 UTC
hi @vaibhav,

thanks a lot for your quick replay.  

I have asked all my team members who are on line right now, we all did not hit such "time out" problem in our environment. I will keep asking for help from other members. 

Besides that, could you describe your network configuration detailedly? such like proxy usage? thanks again.

Comment 8 John Matthews 2020-10-23 18:33:04 UTC
Marking this BZ as closed.  

My understanding is that the browser needed a proxy configuration updated so that https://api.example.com:6443/.well-known/oauth-authorization-server was reachable.


Note You need to log in before you can comment on or make changes to this bug.